Foreman - Feature #36466

Allow gathering information on deleted records
06/02/2023 08:23 PM - Oleh Fedorenko

Status: Closed
Priority: Normal
Assignee: Oleh Fedorenko
Category:
Target version:
Difficulty: Fixed in Releases: 3.9.0
Triaged: No Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/9725
Description

Foreman allows subscriptions to the events that occur on ActiveRecord objects (such as an object being created). The problem is
that when an object is destroyed, the dependent bonds are being destroyed also with relational links, and can't be referenced

afterwards.

The problem can be easily observed via foreman_webhooks plugin:
0. Have a host with some interfaces.

1. Create a webhook template with “@object.interfaces™ payload.

2. Create a webhook and subscribe to host destroyed event.

3. Delete the host.

4. Notice that payload contains no interface information.

Associated revisions

Revision b9986¢96 - 09/01/2023 06:27 PM - Oleh Fedorenko

Fixes #36466 - Allow gathering information on deleted records

History

#1 - 06/06/2023 03:00 PM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/9725 added

#2 - 09/01/2023 06:27 PM - The Foreman Bot
- Fixed in Releases 3.9.0 added

#3 - 09/01/2023 07:00 PM - Oleh Fedorenko
- Status changed from Ready For Testing to Closed

Applied in changeset foreman|b9986c9648b55c0d8fae4ab5ff5845763ddbea1f.
